-Quickinstall

From Limbas Wiki

Jump to: navigation, search

Hauptseite


Diese Installationsanleitung ist sehr allgemein und gilt für alle Distributionen. Distributions-Spezifische Anpassungen können in den jeweiligen Dokumentationen nachgelesen werden. Limbas wurde für Linux/Unix Systeme entwickelt. Eine Installation auf Windows ist mit Anpassungen möglich wird aber hier nicht beschrieben.

Limbas benötigt einen PHP Webserver sowie eine von Limbas unterstütze Datenbank. Grundsätzlich ist ein LAMP Softwarepacket ausreichend. Die größtmögliche Funktionsunterstützung erreicht Limbas aber mit der PostgreSQL Datenbank. Weitere Datenbanken können über die ODBC Schnittstelle angebunden werden.

Folgende Softwarepackete sind mindestens notwendig:

  • apache
  • php ab Version 5.6 bis 7.2
  • php-pdo
  • php-pgsql oder php-mysql
  • php-mbstring
  • postgresql
  • postgresql-server oder mysql


Eine leere Datenbank muß vor der Installation von Limbas angelegt sein. Je nach Datenbank gibt es dazu unterschiedliche Vorgehenweisen.

postgres=# create database {limbasdb} WITH ENCODING 'UTF-8' LC_COLLATE 'C' LC_CTYPE 'C' OWNER {limbasuser} template template0;

( PostgreSQL )

mysql=# CREATE DATABASE <limbasdb>;

( MySQL )


php.ini Anpassungen sind:

  • short_open_tag = On
  • max_input_vars = 10000


httpd.conf Anpassungen sind:

<Directory "{DocumentRoot}/openlimbas/dependent"> AllowOverride All </Directory>

Nach dem Entpacken des Limbas tar Archivs in das apache html Verzeichniss muß der dependent Ordner rekursiv apache Schreibrechte besitzen. (chown -R apache dependent)


Das Installationsscript wird durch folgende URL aufgerufen: http://localhost/openlimbas/dependent/admin/install/
Das Script prüft selbstständig auf fehlende Software und Konfigurationseinstellungen. Eine Detailbeschreibung der Installation findet man unter den jeweiligen Kategorien. Installation


install step2.png